Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.render.velocity
Class InfobitDirective

    java.lang.Object
      |
      +--org.apache.velocity.runtime.directive.Directive
            |
            +--org.apache.velocity.runtime.directive.InputBase
                  |
                  +--com.infodesire.infobit.render.velocity.InfobitDirective

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

public class InfobitDirective
extends org.apache.velocity.runtime.directive.InputBase

pluggable directive to handle custom #infobit tag. supply infobit name to it.

Version:
  $Revision: 1.3 $
Author:
  konstantin

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`InfobitDirective()`

Method Summary
`java.lang.String` | `getName()` Return name of this directive.
`int` | `getType()` Return type of this directive.
`boolean` | `render(org.apache.velocity.context.InternalContextAdapter context, java.io.Writer writer, org.apache.velocity.runtime.parser.node.Node node)` renders infobit in appropriate way

Methods inherited from class org.apache.velocity.runtime.directive.InputBase
`getInputEncoding`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, init, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfobitDirective

    public InfobitDirective()

Method Detail

### getName

    public java.lang.String getName()

  Return name of this directive.

  Specified by:
    `getName` in class `org.apache.velocity.runtime.directive.Directive`
  Returns:
    The Name value

### getType

    public int getType()

  Return type of this directive.

  Specified by:
    `getType` in class `org.apache.velocity.runtime.directive.Directive`
  Returns:
    The Type value

### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context,
                          java.io.Writer writer,
                          org.apache.velocity.runtime.parser.node.Node node)
                   throws java.io.IOException,
                          org.apache.velocity.exception.ResourceNotFoundException,
                          org.apache.velocity.exception.ParseErrorException,
                          org.apache.velocity.exception.MethodInvocationException

  renders infobit in appropriate way

  Specified by:
    `render` in class `org.apache.velocity.runtime.directive.Directive`
  Parameters:
    `context` - Description of Parameter
    `writer` - Description of Parameter
    `node` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.io.IOException` - Description of Exception
    `org.apache.velocity.exception.ResourceNotFoundException` - Description of Exception
    `org.apache.velocity.exception.ParseErrorException` - Description of Exception
    `org.apache.velocity.exception.MethodInvocationException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.